Package org.apache.commons.logging.impl

# Class Jdk13LumberjackLogger

java.lang.Object
org.apache.commons.logging.impl.Jdk13LumberjackLogger

All Implemented Interfaces:
  `Serializable`, `Log`

@Deprecated public class Jdk13LumberjackLogger extends Object implements Log, Serializable
Deprecated.
Scheduled for removal because the Lumberjack Project has been discontinued.
Implementation of the `org.apache.commons.logging.Log` interface that wraps the standard JDK logging mechanisms that are available in SourceForge's Lumberjack for JDKs prior to 1.4.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Level`
  `dummyLevel`
  Deprecated.
  No longer used.
  `protected Logger`
  `logger`
  Deprecated.
  The underlying Logger implementation we are using.
  `protected String`
  `name`
  Deprecated.
  Name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jdk13LumberjackLogger(String name)`
  Deprecated.
  Constructs a named instance of this Logger.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.FINE`.
  `void`
  `debug(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.FINE`.
  `void`
  `error(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.SEVERE`.
  `void`
  `error(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.SEVERE`.
  `void`
  `fatal(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.SEVERE`.
  `void`
  `fatal(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.SEVERE`.
  `Logger`
  `getLogger()`
  Deprecated.
  Return the native Logger instance we are using.
  `void`
  `info(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.INFO`.
  `void`
  `info(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.INFO`.
  `boolean`
  `isDebugEnabled()`
  Deprecated.
  Is debug logging currently enabled?
  `boolean`
  `isErrorEnabled()`
  Deprecated.
  Is error logging currently enabled?
  `boolean`
  `isFatalEnabled()`
  Deprecated.
  Is fatal logging currently enabled?
  `boolean`
  `isInfoEnabled()`
  Deprecated.
  Is info logging currently enabled?
  `boolean`
  `isTraceEnabled()`
  Deprecated.
  Is trace logging currently enabled?
  `boolean`
  `isWarnEnabled()`
  Deprecated.
  Is warn logging currently enabled?
  `void`
  `trace(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.FINEST`.
  `void`
  `trace(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.FINEST`.
  `void`
  `warn(Object message)`
  Deprecated.
  Logs a message with `java.util.logging.Level.WARNING`.
  `void`
  `warn(Object message, Throwable exception)`
  Deprecated.
  Logs a message with `java.util.logging.Level.WARNING`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dummyLevel

    @Deprecated protected static final Level dummyLevel
    Deprecated.
    No longer used.
    This member variable simply ensures that any attempt to initialize this class in a pre-1.4 JVM will result in an ExceptionInInitializerError. It must not be private, as an optimizing compiler could detect that it is not used and optimize it away.

  - ### logger

    protected transient Logger logger
    Deprecated.
    The underlying Logger implementation we are using.

  - ### name

    protected String name
    Deprecated.
    Name.

- ## Constructor Details

  - ### Jdk13LumberjackLogger

    public Jdk13LumberjackLogger(String name)
    Deprecated.
    Constructs a named instance of this Logger.
    Parameters:
      `name` - Name of the logger to be constructed

- ## Method Details

  - ### debug

    public void debug(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.FINE`.
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.debug(Object)`

  - ### debug

    public void debug(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.FINE`.
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.debug(Object, Throwable)`

  - ### error

    public void error(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.SEVERE`.
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.error(Object)`

  - ### error

    public void error(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.SEVERE`.
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.error(Object, Throwable)`

  - ### fatal

    public void fatal(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.SEVERE`.
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.fatal(Object)`

  - ### fatal

    public void fatal(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.SEVERE`.
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.fatal(Object, Throwable)`

  - ### getLogger

    public Logger getLogger()
    Deprecated.
    Return the native Logger instance we are using.
    Returns:
      the native Logger instance we are using.

  - ### info

    public void info(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.INFO`.
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.info(Object)`

  - ### info

    public void info(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.INFO`.
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.info(Object, Throwable)`

  - ### isDebugEnabled

    public boolean isDebugEnabled()
    Deprecated.
    Is debug logging currently enabled?
    Specified by:
      `isDebugEnabled` in interface `Log`
    Returns:
      true if debug is enabled in the underlying logger.

  - ### isErrorEnabled

    public boolean isErrorEnabled()
    Deprecated.
    Is error logging currently enabled?
    Specified by:
      `isErrorEnabled` in interface `Log`
    Returns:
      true if error is enabled in the underlying logger.

  - ### isFatalEnabled

    public boolean isFatalEnabled()
    Deprecated.
    Is fatal logging currently enabled?
    Specified by:
      `isFatalEnabled` in interface `Log`
    Returns:
      true if fatal is enabled in the underlying logger.

  - ### isInfoEnabled

    public boolean isInfoEnabled()
    Deprecated.
    Is info logging currently enabled?
    Specified by:
      `isInfoEnabled` in interface `Log`
    Returns:
      true if info is enabled in the underlying logger.

  - ### isTraceEnabled

    public boolean isTraceEnabled()
    Deprecated.
    Is trace logging currently enabled?
    Specified by:
      `isTraceEnabled` in interface `Log`
    Returns:
      true if trace is enabled in the underlying logger.

  - ### isWarnEnabled

    public boolean isWarnEnabled()
    Deprecated.
    Is warn logging currently enabled?
    Specified by:
      `isWarnEnabled` in interface `Log`
    Returns:
      true if warn is enabled in the underlying logger.

  - ### trace

    public void trace(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.FINEST`.
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.trace(Object)`

  - ### trace

    public void trace(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.FINEST`.
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.trace(Object, Throwable)`

  - ### warn

    public void warn(Object message)
    Deprecated.
    Logs a message with `java.util.logging.Level.WARNING`.
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.warn(Object)`

  - ### warn

    public void warn(Object message, Throwable exception)
    Deprecated.
    Logs a message with `java.util.logging.Level.WARNING`.
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - to log
      `exception` - log this cause
    See Also:
      - `Log.warn(Object, Throwable)`